package mschmidt.komo;
/*
 * Provides the initial perspective for the application.
 *
 */

import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;

public class KomoPerspective implements IPerspectiveFactory {

	/**
	 * Creates the initial layout for a page.
	 * 
	 * @param layout - The IPageLayout 
	 */
	public final void createInitialLayout(final IPageLayout layout) {
//		String editorArea = layout.getEditorArea();
		addFastViews(layout);
		addViewShortcuts(layout);
		addPerspectiveShortcuts(layout);
	}

	/**
	 * Add fast views to the perspective.
	 * 
	 * @param layout - The IPageLayout
	 */
	private void addFastViews(final IPageLayout layout) {
	}

	/**
	 * Add view shortcuts to the perspective.
	 * 
	 * @param layout - The IPageLayout
	 */
	private void addViewShortcuts(final IPageLayout layout) {
	}

	/**
	 * Add perspective shortcuts to the perspective.
	 * 
	 * @param layout - The IPageLayout
	 */
	private void addPerspectiveShortcuts(final IPageLayout layout) {
	}

}

